OSDN Git Service

The call command of net-gateway is added.
authorniwa-hideyuki <niwa.hideyuki@jp.fujitsu.com>
Sat, 24 Jan 2015 05:33:31 +0000 (14:33 +0900)
committerniwa-hideyuki <niwa.hideyuki@jp.fujitsu.com>
Sat, 24 Jan 2015 05:33:31 +0000 (14:33 +0900)
lxcf/cmd/net-gateway [new file with mode: 0755]

diff --git a/lxcf/cmd/net-gateway b/lxcf/cmd/net-gateway
new file mode 100755 (executable)
index 0000000..ae9f88e
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+# copyright (C) 2015 FUJITSU LIMITED All Rights Reserved
+
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; version 2
+# of the License.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
+# 02110-1301, USA.
+
+# check root
+if [ ${EUID:-${UID}} != 0 ]; then
+    echo "error: Because you are not root, you cannot execute this command. "
+    exit 1
+fi
+
+/usr/lib64/lxcf/lxcf-net-gateway $*
+
+exit $?
+